Subject: Re: [PATCH] powerpc/pseries: include linux/types.h in asm/hvcall.h

From: David Gibson <[email-masked]>
Date: Tue, 16 Jan 2018 15:53:47 +1100

On Tue, Jan 16, 2018 at 02:16:58PM +1100, Michael Ellerman wrote:
> Michal Suchanek <[email-masked]> writes:
> 
> > Commit 6e032b350cd1 ("powerpc/powernv: Check device-tree for RFI flush
> > settings") uses u64 in asm/hvcall.h without including linux/types.h
> >
> > This breaks hvcall.h users that do not include the header themselves.
> >
> > Fixes: 6e032b350cd1 ("powerpc/powernv: Check device-tree for RFI flush
> >     settings")
> >
> > Signed-off-by: Michal Suchanek <[email-masked]>
> > ---
> >  arch/powerpc/include/asm/hvcall.h | 1 +
> >  1 file changed, 1 insertion(+)
> 
> Thanks. None of my ~250 defconfig test builds hit this, what config are
> you using?

I also hit this, but only when I backported the change to RH's 3.10
kernel.  I assumed something since then had added an indirect include.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson